package com.sgxengine.filesystem
{
	import flash.events.Event;
	import flash.net.FileFilter;
	import flash.net.FileReference;

	public class SGXFileSystem
	{
		private static var instance_ : SGXFileSystem = null;
		private var fileSet : Array;
		private var serverList : Array;	// of ResourceServer
		private var pathList : Array;
		private var fileSetLoaded:Boolean;
		
		{
			get();
		}

		public static function get() : SGXFileSystem 
		{
			if (instance_ == null) {
				instance_ = new SGXFileSystem();
			}
			return instance_;
		}
		
		public function SGXFileSystem()  {
			if (instance_) {
				//"Attempting to re-instance the ResourceManager singleton.");
				return;
			}
			
			fileSet = new Array();
			serverList = new Array();
			pathList = new Array();
			
		}
		
		public static function get instance() : SGXFileSystem
		{
			return instance_;
		}
		
		public function loadFile(filename : String) : SGXFile
		{
			return (new SGXFile(filename)).load();
		}

	}
}